    <?php
    
    if (session_status() == PHP_SESSION_NONE) { session_start(); }
    
    define('BASE_URL', 'https://pusatpanelsmm.id/'); 
    define('APP_ROOT', dirname(__DIR__, 2));
    define('APP_DIR', APP_ROOT . '/app'); 
    define('PUBLIC_ROOT', APP_ROOT . '/assets'); 
    
    define('TEMPLATE_DIR', APP_DIR . '/templates');
    define('INCLUDE_DIR', APP_DIR . '/includes');
    define('HANDLER_DIR', APP_DIR . '/handlers');
    define('LIB_DIR', APP_DIR . '/lib');
    define('PAYDISINI_API_KEY', 'dfe560825cad12dfecfec9152a2aa738'); 
    define('PAYDISINI_SECRET_KEY', '42'); 

    define('DEBUG_MODE', false); 

    if (DEBUG_MODE) {
        ini_set('display_errors', 1);
        ini_set('display_startup_errors', 1);
        error_reporting(E_ALL);
    } else {
        ini_set('display_errors', 0);
        ini_set('display_startup_errors', 0);
        error_reporting(0);
    }

    define('DEFAULT_TIMEZONE', 'Asia/Jakarta');
    date_default_timezone_set(DEFAULT_TIMEZONE);
    ?>
    